> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application responses

> Get paginated list of responses for a specific application. Requires authentication.



## OpenAPI

````yaml GET /server/applications/{applicationId}/responses
openapi: 3.0.0
info:
  contact: {}
  description: Melonlys Public API
  termsOfService: http://melonly.xyz/terms
  title: Melonly API
  version: '1.0'
servers:
  - url: https://api.melonly.xyz/api/v1
security: []
paths:
  /server/applications/{applicationId}/responses:
    get:
      tags:
        - applications
      summary: Get application responses
      description: >-
        Get paginated list of responses for a specific application. Requires
        authentication.
      parameters:
        - description: Application ID
          example: '"app123"'
          in: path
          name: applicationId
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - description: Items per page
          in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
      responses:
        '200':
          description: successfully retrieved paginated application responses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ApplicationResponseListResponse'
        '400':
          description: invalid application id parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.BadRequestResponse'
        '401':
          description: authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UnauthorizedResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ApplicationResponseListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/models.ApplicationResponseAPIResponse'
          type: array
        page:
          example: 1
          type: integer
        pageSize:
          example: 10
          type: integer
        total:
          example: 100
          type: integer
        totalPages:
          example: 10
          type: integer
      type: object
    models.BadRequestResponse:
      properties:
        error:
          example: invalid request parameters
          type: string
      type: object
    models.UnauthorizedResponse:
      properties:
        error:
          example: authorization header is required
          type: string
      type: object
    models.InternalServerErrorResponse:
      properties:
        error:
          example: internal server error
          type: string
      type: object
    models.ApplicationResponseAPIResponse:
      properties:
        answers:
          type: object
        applicationId:
          type: string
        comments:
          type: object
        createdAt:
          type: integer
        finalizedAt:
          type: integer
        finalizedBy:
          type: string
        flagged:
          type: object
        id:
          type: string
        reason:
          type: string
        reviewedAt:
          type: integer
        reviewedBy:
          type: string
        robloxId:
          type: string
        stagingStatus:
          type: integer
        status:
          type: integer
        userId:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and the API token.
      in: header
      name: Authorization
      type: apiKey

````